/*  Free up queues created by GoServe */

Say "  Free up queues created by SRE-Filter (ver 1.2) "
say " "
say "Do NOT run this program if GoServe (using SRE-Filter) is still running!"
say "(it is meant to be run AFTER you shut GoServe down) "
say " "
say " What port did you run GoServe on (default=80)"
parse pull aport
if aport="" then aport=80

foo=rxqueue('d','SREF_'||aport||'_VIRTUAL')
say "virtual queue: " foo
foo=rxqueue('d','SREF_'||aport||'_ACCESS')
say "access queue: " foo
foo=rxqueue('d','SREF_'||aport||'_POSTF')
say "POSTFILTER queue: " foo
foo=rxqueue('d','SREF_'||aport||'_USER')
say "USER queue: " foo
foo=rxqueue('d','SREF_'||aport||'_ALIAS')
SAY " ALIAS queue: " FOO

do mm=1 to 40   /* delete too many */
  aname="SREF_"||aport||"_t"||mm
  foo=rxqueue('d',aname)
  say " filter-instance queue: " aname foo
/*  aname2="\SEM32\SREF_"||aport||"_t"mm
  foo=eventsem_close(aname2)
  say "sem " aname2 foo */
end /* do */

say "Queue cleanup is done! "


ts=' SREF_OPEN_READ  SREF_GRAB_FILE   SREF_REPLACESTRG   SREF_MEDIATYPE    SREF_HOST  SREF_LOOKUP_COUNT '
ts=ts' SREF_EXTRACT_BLOCK  SREF_INSERT_BLOCK   SREF_MAKE_BLOCK   SREF_FIX_URL  SREF_GET_URL SREF_GET_ADD_PRIVS '
ts=ts' SREF_NEW_GMT  SREF_EXPIRE_RESPONSE   SREF_SPECIAL_REQUEST  SREF_PROCESS_RANGE  SREF_DO_AUTO_HEADER  SREF_MULTI_SEND '
ts=ts' SREF_DO_SSI  SREF_DO_PUT  SREF_GET_REMOTE  SREF_HOST_INFO   SREF_BADIPS   SREF_CGIVARS  SREF_ADD_PRIVS '
ts=ts' SREF_GET_COOKIE   SREF_DO_VIRTUAL  SREF_HTACCESS  SREF_DATETIME_CONVERT  SREF_NOT_FOUND_RESPONSE '
ts=ts' SREF_RESPONSE   SREF_PUBLIC_URLS  SREF_ISA_MOVE  SREF_ADD_HIT_CACHE  SREF_LOOK_HIT_CACHE '
ts=ts' SREF_SAVE_STATE SREF_READ_STATE SREF_WRITE_STATE SREF_HOME_DIR SREF_DIR SREF_AUTO_DESCRIBE '
ts=ts' SREF_INIT_COUNTER  SREF_WILDCARD  SREF_JULDATE  SREF_VERSION   SREF_CONJUREF   SREF_DOCGI '
ts=ts' SREF_CHK_PRIV     SREF_GETPOST   SREF_MAPIMAGE   SREF_MAILIT SREF_MAIN'

aroutine='SREF_MAIN_'||aport
ts=ts||' '||aroutine

do ii=1 to words(ts)
   foo1=word(ts,ii)
   retc=macrodrop(foo1)
end /* do */



say "  SRE-Filter routines removed from macrospace .."


exit



